### Method

# Gegl Rectangleintersect

#### Declaration [src]

    gboolean
    gegl_rectangle_intersect (
      GeglRectangle* dest,
      const GeglRectangle* src1,
      const GeglRectangle* src2
    )

#### Description [src]

Calculates the intersection of two rectangles. If the rectangles do not intersect, dest’s width and height are set to 0 and its x and y values are undefined.

`dest` may point to the same object as `src1` or `src2`.

Returns TRUE if the rectangles intersect.

#### Parameters

`src1`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the method.

`src2`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.